Page MenuHomePhabricator

Wikidata support for newly created hi.wikivoyage
Closed, ResolvedPublic

Description

This needs to be done once the wiki is created.

Related Objects

Event Timeline

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 10 2017, 5:52 PM
Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald Transcript
MarcoAurelio changed the task status from Open to Stalled.Aug 10 2017, 6:06 PM
MarcoAurelio changed the task status from Stalled to Open.Sep 25 2017, 11:47 AM

@hoo @aude @Lydia_Pintscher Wiki has been created. I think you can proceed with this one.

MarcoAurelio reopened this task as Open.Sep 25 2017, 7:49 PM
MarcoAurelio raised the priority of this task from Low to High.

While we can add links in the Wikidata item, we can't do the same via hi.wikivoyage, and links added to Wikidata ain't being displayed on hi.wikivoyage either despite being added at Wikidata. This is happening since the wiki was created, about 8 hours ago. CTRL+R and action=purge do not solve the issue. Please fix :)

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptSep 25 2017, 7:49 PM
MarcoAurelio removed hoo as the assignee of this task.Sep 25 2017, 7:50 PM
hoo added a comment.Sep 25 2017, 8:57 PM

Well:

hoo@terbium:~$ mwscript extensions/Wikidata/extensions/Wikibase/lib/maintenance/populateSitesTable.php --wiki hiwikivoyage --force-protocol https[2f186c3292d8dbc4f650d7b2] [no req]   Wikimedia\Rdbms\DBQueryError from line 1149 of /srv/mediawiki/php-1.30.0-wmf.19/includes/libs/rdbms/database/Database.php: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
Query: INSERT  INTO `site_identifiers` (si_site,si_type,si_key) VALUES ('1073','equivalent','de')
Function: DBSiteStore::saveSites
Error: 1062 Duplicate entry 'equivalent-de' for key 'site_ids_type' (10.64.0.205)

Backtrace:
#0 /srv/mediawiki/php-1.30.0-wmf.19/includes/libs/rdbms/database/Database.php(979): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
#1 /srv/mediawiki/php-1.30.0-wmf.19/includes/libs/rdbms/database/Database.php(1589): Wikimedia\Rdbms\Database->query(string, string)
#2 /srv/mediawiki/php-1.30.0-wmf.19/includes/site/DBSiteStore.php(245): Wikimedia\Rdbms\Database->insert(string, array, string)
#3 /srv/mediawiki/php-1.30.0-wmf.19/includes/site/CachingSiteStore.php(162): DBSiteStore->saveSites(array)
#4 /srv/mediawiki/php-1.30.0-wmf.19/extensions/Wikidata/extensions/Wikibase/lib/includes/Sites/SitesBuilder.php(62): CachingSiteStore->saveSites(array)
#5 /srv/mediawiki/php-1.30.0-wmf.19/extensions/Wikidata/extensions/Wikibase/lib/maintenance/populateSitesTable.php(94): Wikibase\Lib\Sites\SitesBuilder->buildStore(array, NULL, string)
#6 /srv/mediawiki/php-1.30.0-wmf.19/maintenance/doMaintenance.php(92): Wikibase\PopulateSitesTable->execute()
#7 /srv/mediawiki/php-1.30.0-wmf.19/extensions/Wikidata/extensions/Wikibase/lib/maintenance/populateSitesTable.php(124): require_once(string)
#8 /srv/mediawiki/multiversion/MWScript.php(99): require_once(string)
#9 {main}

Mentioned in SAL (#wikimedia-operations) [2017-09-25T20:57:29Z] <hoo> Manually pruned the sites and site_identifiers table on hiwikivoyage, than ran populateSitesTable.php. (T173030)

hoo closed this task as Resolved.Sep 25 2017, 8:57 PM
hoo claimed this task.

This works now.